Skip to content

Get 'QuotaFee'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/brf/quotas/quotafee/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/brf/quotas/quotafee/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

quota_collectionobject(QuotaCollection)required
total_valuenumber, (float)required
articleobject(Article)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
invoice_titlestring or null
start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "quota_collection": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "invoice_title": "string", "total_value": 0.1, "article": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "start_date": "2019-08-24", "end_date": "2019-08-24", "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }